MWAWStringStream Class Reference documentation

MWAWStringStream Class Referencefinal

internal class used to create a RVNGInputStream from a unsigned char's pointer More...

`#include <MWAWStringStream.hxx>`

Inheritance diagram for MWAWStringStream:

## Public Member Functions
| MWAWStringStream (const unsigned char *data, const unsigned int dataSize)
| constructor
| ~MWAWStringStream () final
| destructor
void | append (const unsigned char *data, const unsigned int dataSize)
| append some data at the end of the string
void | resize (unsigned long newSize)
| resize the buffer stream (very low level)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) final
| !
long | tell () final
| returns actual offset position
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) final
| seeks to a offset position, from actual, beginning or ending position
bool | isEnd () final
| returns true if we are at the end of the section/file
bool | isStructured () final
| returns true if the stream is ole
unsigned | subStreamCount () final
| returns the number of sub streams.
const char * | subStreamName (unsigned) final
| returns the ith sub streams name
bool | existsSubStream (const char *name) final
| returns true if a substream with name exists
librevenge::RVNGInputStream * | getSubStreamByName (const char *name) final
| return a new stream for a ole zone
librevenge::RVNGInputStream * | getSubStreamById (unsigned) final
| return a new stream for a ole zone

## Private Member Functions
| MWAWStringStream (const MWAWStringStream &)=delete
MWAWStringStream & | operator= (const MWAWStringStream &)=delete

## Private Attributes
std::shared_ptr< MWAWStringStreamPrivate > | m_data
| the string stream data

## Detailed Description

internal class used to create a RVNGInputStream from a unsigned char's pointer

Note
  this class (highly inspired from librevenge) does not implement the isStructured's protocol, ie. it only returns false.

## Constructor & Destructor Documentation

## ◆ MWAWStringStream() [1/2]

MWAWStringStream::MWAWStringStream | ( | const unsigned char * | data,
|  | const unsigned int | dataSize )

constructor

Referenced by MWAWStringStream(), and operator=().

## ◆ ~MWAWStringStream()

MWAWStringStream::~MWAWStringStream | ( |  | ) |
| final

destructor

## ◆ MWAWStringStream() [2/2]

MWAWStringStream::MWAWStringStream | ( | const MWAWStringStream & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ append()

void MWAWStringStream::append | ( | const unsigned char * | data,
|  | const unsigned int | dataSize )

append some data at the end of the string

## ◆ existsSubStream()

bool MWAWStringStream::existsSubStream | ( | const char * | name | ) |
| final

returns true if a substream with name exists

See also
  returns always false

## ◆ getSubStreamById()

librevenge::RVNGInputStream * MWAWStringStream::getSubStreamById | ( | unsigned |  | ) |
| final

return a new stream for a ole zone

See also
  returns always 0

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * MWAWStringStream::getSubStreamByName | ( | const char * | name | ) |
| final

return a new stream for a ole zone

See also
  returns always 0

## ◆ isEnd()

bool MWAWStringStream::isEnd | ( |  | ) |
| final

returns true if we are at the end of the section/file

## ◆ isStructured()

bool MWAWStringStream::isStructured | ( |  | ) |
| final

returns true if the stream is ole

See also
  returns always false

## ◆ operator=()

MWAWStringStream & MWAWStringStream::operator= | ( | const MWAWStringStream & |  | ) |
| privatedelete

## ◆ read()

const unsigned char * MWAWStringStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead )
| final

!

reads numbytes data.

Returns
  a pointer to the read elements

## ◆ resize()

void MWAWStringStream::resize | ( | unsigned long | newSize | ) |

resize the buffer stream (very low level)

## ◆ seek()

int MWAWStringStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType )
| final

seeks to a offset position, from actual, beginning or ending position

Returns
  0 if ok

## ◆ subStreamCount()

unsigned MWAWStringStream::subStreamCount | ( |  | ) |
| final

returns the number of sub streams.

See also
  returns always 0

## ◆ subStreamName()

const char * MWAWStringStream::subStreamName | ( | unsigned |  | ) |
| final

returns the ith sub streams name

See also
  returns always 0

## ◆ tell()

long MWAWStringStream::tell | ( |  | ) |
| final

returns actual offset position

## Member Data Documentation

## ◆ m_data

std::shared_ptr<MWAWStringStreamPrivate> MWAWStringStream::m_data
| private

the string stream data

Referenced by append(), isEnd(), MWAWStringStream(), read(), resize(), seek(), and tell().

The documentation for this class was generated from the following files:

- MWAWStringStream.hxx
- MWAWStringStream.cxx